package com.kxs.common.core.constant.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 账户变更详细类型enum
 *
 * @author Lxq
 * @date 2023-11-01
 */
@Getter
@AllArgsConstructor
public enum AmountLogChangeTypesEnum {

    ACT(0, "激活奖励"),
    PROFIT(1, "交易分润"),
    WITHDRAWAL(2, "提现申请"),
    MENTION_MODERN_PAYMENT(3, "提现代付"),
    WITHDRAWAL_FEES(4, "提现手续费"),
    WITHDRAWAL_TAX(5, "提现税点扣除"),
    WITHDRAWAL_FAILED(6, "提现失败，解冻"),
    TRADING_REWARDS(12, "交易奖励"),
    BALANCE_PAYMENT(20, "余额支付"),
    BALANCE_REFUNDS(21, "余额退款"),
    RED_ENVELOPE_REWARDS(30, "红包奖励"),
    EVENT_REWARDS(31, "活动奖励"),
    BOOT_BONUS(50, "开机奖励"),
    TRAFFIC_CARD_COMMISSION(60, "流量卡分佣"),
    ARTIFICIAL_FREEZING(61, "人工冻结"),
    ARTIFICIAL_THAWING(62, "人工解冻"),
    MANUAL_DEDUCTIONS(63, "人工扣减"),
    INCREASED_LABOR(64, "人工增加"),
    DEPOSIT_HOLD(65, "押金暂扣"),
    DEPOSIT_IS_REFUNDED(66, "押金退还"),
    PROFITSHARING_SUBSIDY(111, "分润补贴"),
    REFERRAL_REWARDS(112, "推荐奖励"),
    PRIVATE_PAY_DIVIDENDS(114, "私董会分红"),
    SPLIT_POSITION_REWARDS(115, "分仓奖励"),
    GRAND_ALLIANCE_LEADER_REWARD(116, "大盟主奖励"),
    ALLIANCE_LEADER_REWARD(117, "盟主奖励(储蓄金入账)"),
    LEADER_PURCHASE_BONUS(118, "盟主奖励(购机奖励)"),
    FOR_WILL_BE_REFUNDED(119, "分仓临时额度退还"),
    CENTER_PURCHASE_BONUS(120, "运营中心(购机奖励)"),
    FULFILLMENT_CENTER_REWARDS(121, "运营中心奖励"),
    SHARE_LEADER_ALLIANCE(122, "推荐大盟主奖励"),
    SHARE_LEADER_SMALL_ALLIANCE(123, "推荐小盟主奖励"),
    DEDUCTION_MACHINE_AND_EQUIPMENT_PAYMENT(124, "扣机具货款"),
    SOFTWARE_SERVICE_FEE(125, "软件服务费"),
    MACHINE_RETURN_AMOUNT(126, "机具货款退还"),
    PARTNER_REWARDS(127, "运营中心分仓奖励"),
    PARTNER_PURCHASE_BONUS(128, "合伙人(购机奖励)"),
    REFERRAL_FULFILLMENT_CENTER_REWARDS(129, "推荐运营中心奖励"),
    ADVANCE_ISSUANCE_TEMPORARY_QUOTA_REFUND(130, "预发临时额度退还"),
    CODE_CARDS_ACTIVATE_REWARDS(131, "码牌激活奖励"),
    DIRECT_TEAM_WITHDRAWALS(132, "直营团队提现"),
    INSTANT_BRUSH_PLUS_REWARDS(133, "立刷加码奖励"),
    REQUEST_A_REFUND_FOR_PREDEPARTURE_MACHINE(134, "预发机申请退款"),
    LARGECAP_DIVIDENDS(135, "大盘分红"),
    CULTIVATION_AWARD(136, "培养奖"),
    DEEP_LEADER_AWARD(137, "深度领导人奖"),
    INSTALLMENT_WITHHOLDING(201, "分期预扣款"),
    MAKER_WITHHOLDING(202, "创客预扣款"),
    LETS_SHARE_PROFITS(301, "来客吧分润"),
    GUEST_BAR_ACTIVATION_PRIZE(311, "来客吧激活奖"),
    VISITOR_ACCOUNT_OPENING_AWARD(312, "来客吧开户奖"),
    COME_ON_MAIN_PRIZE_GRAND_ALLIANCE(313, "来客吧大盟主奖"),
    VISITOR_BAR_OPERATION_CENTER_AWARD(314, "来客吧运营中心奖"),
    VISITOR_BAR_ACHIEVEMENT_AWARD(315, "来客吧达标奖");

    /**
     * 状态码
     */
    private final Integer type;
    /**
     * 状态码码描述
     */
    private final String description;
}
